# Filename   : vid2su_loader.rb
# Date       : 2008/04/28
# Name       : Small Plugin for Burkhard Bals
# Description: ...
# Author     : Mario Pehle, www.errorinitus.de
# Version    : 2008/04/28 - 1.0: created this file (mp)
#              2008/05/01 - 1.1: version changed (mp)


require 'sketchup.rb'
require 'extensions.rb'

unless file_loaded? __FILE__

  module BB

    VERSION                    = '0.2 2008/05/01'.freeze
    PLUGIN_NAME                = "vid2su' Plugin".freeze
    CREATOR                    = 'Mario Pehle'.freeze
    COPYRIGHT                  = 'Copyright 2008'.freeze
    DESCRIPTION                = '...'.freeze
    MAIN_FILE_NAME             = 'vid2su.rb'.freeze
    HOME_URL                   = "http://ia-plus.de/playlist/vidsu.htm".freeze
    BASE_MENU_NAME             = 'Plugins'.freeze
    ICON_SMALL                 = 'icon_16x16.png'.freeze
    ICON_LARGE                 = 'icon_24x24.png'.freeze
    ABOUT_FILE_NAME            = 'about.html'.freeze
    BASE_DIRECTORY             = "#{File.dirname(__FILE__)}/".freeze
    PLUGIN_SUBDIRECTORY_NAME   = 'vid2su'.freeze
    PLUGIN_DIRECTORY           = "#{BASE_DIRECTORY}#{PLUGIN_SUBDIRECTORY_NAME}/".freeze
    WINDOW_WIDTH               = 470
    WINDOW_HEIGHT              = 506
    WINDOW_X                   = 0
    WINDOW_Y                   = 0


    # This class only is needed to create the Sketchup extension
    class Loader

      # saves the registration status of this plugin to Sketchup
      @@registered = false

      # creates and registers the plugin to Sketchup
      def self.create
        if @@registered
          UI.messagebox "#{PLUGIN_NAME}: This plugin is still registered to Sketchup."
        else
          ext = SketchupExtension.new(
          "#{BB::PLUGIN_NAME} v#{BB::VERSION}",
          "#{BB::PLUGIN_SUBDIRECTORY_NAME}/#{BB::MAIN_FILE_NAME}"
          )
          ext.description = BB::DESCRIPTION
          ext.creator     = BB::CREATOR
          ext.copyright   = BB::COPYRIGHT
          ext.version     = BB::VERSION
          @@created       = Sketchup.register_extension ext, true
        end # if @@registered
      end # def self.create

    end # class SketchupPlugin

  end # module SCP

  # register the plugin
  BB::Loader.create
  file_loaded __FILE__

end # unless file_loaded? __FILE__
